// Window load event used just in case window height is dependant upon images.
$(window).bind("load", function() { 

	var footerHeight = 0,
		footerTop = 0,
		$footer = $("#footer");

	// Run Once the page is loaded
	positionFooter();

	// This function keeps the footer at the bottom of the page
	// without overlaping it's top elements.
	function positionFooter() {

		footerHeight = $footer.height();
		footerTop = ($(window).scrollTop()+$(window).height()-footerHeight)+"px";
		documentHeight = $(document.body).height();

		// If footer absolute account for it's height
		if($footer.css("position") == "absolute"){
			documentHeight += footerHeight;
		}

		if ( documentHeight < $(window).height()) {
			$footer.css({
				position: "absolute",
				top: footerTop
			})
		} else {
			$footer.css({
				position: "static"
			})
		}

	}

	$(window)
		.scroll(positionFooter)
		.resize(positionFooter)

});